package nlib.col.service;

import nlib.cmm.service.PagingVO;

import java.io.Serializable;

/**
 * <pre>
 * @Class Name : DeptVO.java
 * 
 * @Description : 부서(문화원) VO
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 9. 30.    JSYOO       최초 생성

 * 
 * 
 * @author 이씨플라자 * DIGITALSHIP JSYOO
 * @since 2021. 9. 30.
 * @version 1.0
 *
 */
public class DeptVO {
    private String deptSeq;   		  /* 조직코드 */
    private String orgCd;    		  /* 처리과코드  */
    private String deptNm;     	  /* 조직명  */
    private String deptAbbrNm;      /* 조직약칭  */
    private String hupperDeptSeq;   /* 최상위조직코드  */
    private String upDeptSeq;       /* 상위조직코드  */
    private String topDeptYn;       /* 최상위여부 */
    private String deptLv;      	  /* 기관레벨-차수  */
    private String sortSeq;          /* 서열  */
    private String closeFlag;        /* 폐지여부(0:미폐지, 1:폐지)  */
    private String chngRsn;       	  /* 변경사유  */
    private String applyStartYmd;   /* 적용시작일  */
    private String applyCloseYmd;   /* 적용종료일  */
    private String syncYn;        	  /* RMS연계여부  */
    private String useYn;    	      /* 사용여부  */
    private String regId;            /* 등록자  */
    private String regDd;            /* 등록일자  */
    private String modId;            /* 수정자  */
    private String modDd;            /* 수정일자  */
    private String regionCd;         /* 지역  */
    private String remark;            /* 비고  */
    private String cloudId;          /* 클라우드ID  */
    private String zipCode;          /* 우편번호  */
    private String address;           /* 주소  */
    private String addressDetail;    /* 상세주소  */
    private String phoneNo;          /* 전화번호  */
    private String faxNo;            /* 팩스번호  */
    private String latitude;          /* 위도 */
    private String longitude;         /* 경도  */
    private String domainHostNm;    /* 도메인호스트명  */
    
	public String getDeptSeq() {
		return deptSeq;
	}
	public void setDeptSeq(String deptSeq) {
		this.deptSeq = deptSeq;
	}
	public String getOrgCd() {
		return orgCd;
	}
	public void setOrgCd(String orgCd) {
		this.orgCd = orgCd;
	}
	public String getDeptNm() {
		return deptNm;
	}
	public void setDeptNm(String deptNm) {
		this.deptNm = deptNm;
	}
	public String getDeptAbbrNm() {
		return deptAbbrNm;
	}
	public void setDeptAbbrNm(String deptAbbrNm) {
		this.deptAbbrNm = deptAbbrNm;
	}
	public String getHupperDeptSeq() {
		return hupperDeptSeq;
	}
	public void setHupperDeptSeq(String hupperDeptSeq) {
		this.hupperDeptSeq = hupperDeptSeq;
	}
	public String getUpDeptSeq() {
		return upDeptSeq;
	}
	public void setUpDeptSeq(String upDeptSeq) {
		this.upDeptSeq = upDeptSeq;
	}
	public String getTopDeptYn() {
		return topDeptYn;
	}
	public void setTopDeptYn(String topDeptYn) {
		this.topDeptYn = topDeptYn;
	}
	public String getDeptLv() {
		return deptLv;
	}
	public void setDeptLv(String deptLv) {
		this.deptLv = deptLv;
	}
	public String getSortSeq() {
		return sortSeq;
	}
	public void setSortSeq(String sortSeq) {
		this.sortSeq = sortSeq;
	}
	public String getCloseFlag() {
		return closeFlag;
	}
	public void setCloseFlag(String closeFlag) {
		this.closeFlag = closeFlag;
	}
	public String getChngRsn() {
		return chngRsn;
	}
	public void setChngRsn(String chngRsn) {
		this.chngRsn = chngRsn;
	}
	public String getApplyStartYmd() {
		return applyStartYmd;
	}
	public void setApplyStartYmd(String applyStartYmd) {
		this.applyStartYmd = applyStartYmd;
	}
	public String getApplyCloseYmd() {
		return applyCloseYmd;
	}
	public void setApplyCloseYmd(String applyCloseYmd) {
		this.applyCloseYmd = applyCloseYmd;
	}
	public String getSyncYn() {
		return syncYn;
	}
	public void setSyncYn(String syncYn) {
		this.syncYn = syncYn;
	}
	public String getUseYn() {
		return useYn;
	}
	public void setUseYn(String useYn) {
		this.useYn = useYn;
	}
	public String getRegId() {
		return regId;
	}
	public void setRegId(String regId) {
		this.regId = regId;
	}
	public String getRegDd() {
		return regDd;
	}
	public void setRegDd(String regDd) {
		this.regDd = regDd;
	}
	public String getModId() {
		return modId;
	}
	public void setModId(String modId) {
		this.modId = modId;
	}
	public String getModDd() {
		return modDd;
	}
	public void setModDd(String modDd) {
		this.modDd = modDd;
	}
	public String getRegionCd() {
		return regionCd;
	}
	public void setRegionCd(String regionCd) {
		this.regionCd = regionCd;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getCloudId() {
		return cloudId;
	}
	public void setCloudId(String cloudId) {
		this.cloudId = cloudId;
	}
	public String getZipCode() {
		return zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getAddressDetail() {
		return addressDetail;
	}
	public void setAddressDetail(String addressDetail) {
		this.addressDetail = addressDetail;
	}
	public String getPhoneNo() {
		return phoneNo;
	}
	public void setPhoneNo(String phoneNo) {
		this.phoneNo = phoneNo;
	}
	public String getFaxNo() {
		return faxNo;
	}
	public void setFaxNo(String faxNo) {
		this.faxNo = faxNo;
	}
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	public String getDomainHostNm() {
		return domainHostNm;
	}
	public void setDomainHostNm(String domainHostNm) {
		this.domainHostNm = domainHostNm;
	}
    

}
